/* SCSS */
@mixin arrow($direction: down, $size: 5px, $color: #555) {
   width: 0;
   height: 0;
   @if ($direction == left) {
      border-top: $size solid transparent;
      border-bottom: $size solid transparent;
      border-right: $size solid $color;
   } @else if ($direction == right) {
      border-top: $size solid transparent;
      border-bottom: $size solid transparent;
      border-left: $size solid $color;
   } @else if ($direction == down) {
      border-left: $size solid transparent;
      border-right: $size solid transparent;
      border-top: $size solid $color;
   } @else {
      border-left: $size solid transparent;
      border-right: $size solid transparent;
      border-bottom: $size solid $color;
   }
}

// @mixin payments($condition:fail, $bgcolor:$red){
//    @if ($condition == fail){
//       background-color: $red;
//    }
//    @if ($condition == unsuccess){
//       background-color: $red;
//    }
//    @else {
//       background-color: $btn-suceess;
//    }
// }

// @mixin bgcolor($val){
//    @if $val == light {
//      color: #f8f9fa;
//    }
//    @else if $val == dark {
//      color: #212529;
//    }
//    @else if $val == danger {
//      color: red;
//    }
//    @else if $val == success {
//      color: green
//    }
//    @else{
//      color: black;
//    }
//  }

// .text {
//    font-size:16px;
//    @include bgcolor(danger);
// }

@mixin paymentHeader($val) {
   padding: 20px;
   border-radius: 20px 20px 0px 0px;
   @if $val == light {
      background-color: #f8f9fa;
   } @else if $val == dark {
      background-color: #212529;
   } @else if $val == fail {
      background-color: red;
   } @else if $val == success {
      background-color: green;
   } @else {
      background-color: black;
   }
}

@mixin payment {
   border: 1px solid #f2f2f2;
   height: 280px;
   border-radius: 20px;
   background: #fff;
}
@mixin check {
   margin: 0px auto;
   width: 50px;
   height: 50px;
   border-radius: 100%;
   background: #fff;
   text-align: center;
}
@mixin icheck {
   vertical-align: middle;
   line-height: 50px;
   font-size: 30px;
}
@mixin a {
   width: 200px;
   height: 35px;
   color: #fff;
   border-radius: 30px;
   padding: 5px 10px;
   transition: all ease-in-out 0.3s;
   margin-top: 15px;
}
// @mixin paymentHeader {
//    background:$btn-suceess;
//    padding:20px;
//    border-radius:20px 20px 0px 0px;
// }

@mixin a-breadcrumb() {
   justify-content: flex-end;
   padding: 15px 15px 10px 0px;

   a {
      // background-color: $primary-color;
      color: $font-color !important;
      radius: 3px;
      margin: 2px;
      text-decoration: none !important;

      &:hover {
         color: $primary-color !important;
      }

      &:visited {
         color: $secondary-color;
      }
   }
}

// .breadcrumb {
//   justify-content: flex-end;
//   padding: 15px 0px;
//   font-size: $breadcrumb-font-size;
//   a {
//     font-size: $breadcrumb-font-size;
//     color: $font-color;
//     text-decoration: none;
//   }
// }
